<?php

namespace FiloBlu\ThresholdTaxes\Helper;

use Magento\Framework\App\Config\ScopeConfigInterface;
use Magento\Framework\App\Helper\AbstractHelper;

class Data extends AbstractHelper
{
    const FILOBLU_THRESHOLD_TAXES_ENABLED = 'filoblu_threshold_taxes/general/taxes';

    public function __construct(
        \Magento\Framework\App\Helper\Context $context,
        ScopeConfigInterface $scopeConfig
    )
    {
        parent::__construct($context);
        $this->scopeConfig = $scopeConfig;
    }

    public function isEnabled() {
        return $this->scopeConfig->getValue(self::FILOBLU_THRESHOLD_TAXES_ENABLED);
    }
}